import type { RefObject } from 'react';
export type CodeLineElement = {
    el: HTMLElement;
    line: number;
};
export declare function getElementsForSourceLine(targetLine: number, lines: CodeLineElement[]): {
    previous: CodeLineElement;
    next?: CodeLineElement;
};
export declare function getElementBounds({ el: element }: CodeLineElement): {
    top: number;
    height: number;
};
export declare function scrollToRevealSourceLine(line: number, lines: CodeLineElement[], outerRef: React.RefObject<HTMLElement>): void;
export declare function getEditorLineNumberForOffset(offset: number, lines: CodeLineElement[], outerRef: RefObject<HTMLElement>): number | null;
export declare function getLineElementsAtPageOffset(offset: number, lines: CodeLineElement[], outerRef: RefObject<HTMLElement>): {
    previous: CodeLineElement | null;
    next?: CodeLineElement;
};
